Package java.lang

## Class LinkageError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ClassCircularityError`, `ClassFormatError`, `ExceptionInInitializerError`, `IncompatibleClassChangeError`, `NoClassDefFoundError`, `UnsatisfiedLinkError`, `VerifyError`

      public class LinkageError
      extends Error

  Subclasses of `LinkageError` indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkageError()` | Constructs a `LinkageError` with no detail message.
    `LinkageError​(String s)` | Constructs a `LinkageError` with the specified detail message.
    `LinkageError​(String s, Throwable cause)` | Constructs a `LinkageError` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkageError

          public LinkageError()

      Constructs a `LinkageError` with no detail message.

    - #### LinkageError

          public LinkageError​(String s)

      Constructs a `LinkageError` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### LinkageError

          public LinkageError​(String s,
                              @Nullable
                              Throwable cause)

      Constructs a `LinkageError` with the specified detail message and cause.
      Parameters:
        `s` - the detail message.
        `cause` - the cause, may be `null`